## NAME

g.mremove - Removes data base element files from the user's current mapset.

## KEYWORDS

general, map management

## SYNOPSIS

g.mremove
g.mremove help
g.mremove [-refb] [rast=string[,string,...]] [rast3d=string[,string,...]] [vect=string[,string,...]] [oldvect=string[,string,...]] [asciivect=string[,string,...]] [icon=string[,string,...]] [labels=string[,string,...]] [sites=string[,string,...]] [region=string[,string,...]] [region3d=string[,string,...]] [group=string[,string,...]] [3dview=string[,string,...]] [--verbose] [--quiet]

### Flags:

-r
  Use basic regular expressions instead of wildcards
-e
  Use extended regular expressions instead of wildcards
-f
  Force removal (required for actual deletion of files)
-b
  Remove base maps
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

rast=string[,string,...]
  rast file(s) to be removed
rast3d=string[,string,...]
  rast3d file(s) to be removed
vect=string[,string,...]
  vect file(s) to be removed
oldvect=string[,string,...]
  oldvect file(s) to be removed
asciivect=string[,string,...]
  asciivect file(s) to be removed
icon=string[,string,...]
  icon file(s) to be removed
labels=string[,string,...]
  labels file(s) to be removed
sites=string[,string,...]
  sites file(s) to be removed
region=string[,string,...]
  region file(s) to be removed
region3d=string[,string,...]
  region3d file(s) to be removed
group=string[,string,...]
  group file(s) to be removed
3dview=string[,string,...]
  3dview file(s) to be removed

## DESCRIPTION

g.mremove removes data files matching a pattern given by wildcards or POSIX Extended Regular Expressions. If the -f force flag is not given then nothing is removed, instead the list of selected file names is printed to `stdout` as a preview of the files to be deleted.

## EXAMPLE

Delete all raster maps starting with "`tmp_`" in the current mapset:

      g.mremove -f "tmp_*"

## SEE ALSO

g.remove

Regular expression (from Wikipedia, the free encyclopedia)

## AUTHOR

Huidae Cho
grass4u@gmail.com

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team